Bug 1844245 - ovnnode and ovnmaster requests are too high
Summary: ovnnode and ovnmaster requests are too high
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Vadim Rutkovsky
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1843816
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-04 20:42 UTC by OpenShift BugZilla Robot
Modified: 2020-06-29 15:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ovn cotnainer had inadequate requests set Consequence: ovn containers requested too much CPU and RAM, leaving less space for user workloads Fix: ovn requests were adjusted to match just enough CPU/RAM to run Result: more CPU/RAM available for user workloads
Clone Of:
Environment:
Last Closed: 2020-06-29 15:33:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 662 None closed [release-4.4] Bug 1844245: bindata/network/ovn-kubernetes/ovnkube-: update resource requests 2020-06-26 16:29:34 UTC
Red Hat Product Errata RHBA-2020:2713 None None None 2020-06-29 15:34:11 UTC

Comment 3 zhaozhanqi 2020-06-22 06:05:33 UTC
Verified this bug on 4.4.0-0.nightly-2020-06-21-210301

 oc get pod ovnkube-master-j55qg -n openshift-ovn-kubernetes -o yaml | grep cpu
        cpu: 10m
        cpu: 10m
        cpu: 10m

Comment 5 errata-xmlrpc 2020-06-29 15:33:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.